HdlLocalizationNodelet:
  ros__parameters:
    odom_child_frame_id: 'body'
    # Only used when enable_robot_odometry_prediction is enabled
    robot_odom_frame_id: 'odom'
    # during "cool_time", imu inputs are ignored
    use_imu: false
    invert_acc: false
    invert_gyro': false
    cool_time_duration': 2.0
    enable_robot_odometry_prediction': false
    # NDT settings
    # available reg_methods: NDT_OMP, NDT_CUDA_P2D, NDT_CUDA_D2D
    reg_method: 'NDT_OMP'
    # if NDT is slow for your PC, try DIRECT1 serach method, which is a bit unstable but extremely fast
    ndt_neighbor_search_method: 'DIRECT7'
    ndt_neighbor_search_radius: 2.0
    ndt_resolution: 1.0
    downsample_resolution: 0.2
    # if "specify_init_pose" is true, pose estimator will be initialized with the following params
    # otherwise, you need to input an initial pose with "2D Pose Estimate" on rviz"
    specify_init_pose: true
    init_pos_x: 0.0
    init_pos_y: 0.0
    init_pos_z: 0.0
    init_ori_w: 1.0
    init_ori_x: 0.0
    init_ori_y: 0.0
    init_ori_z: 0.0
    omp_num_threads: 0
    # status reporting
    status_max_correspondence_dist: 0.5
    status_max_valid_point_dist: 25.0
    plot_estimation_errors: false  # DEPRECATED

GlobalmapServerNodelet:
  ros__parameters:
    convert_utm_to_local: true
    downsample_resolution: 0.1
